package cn.com.poc.meeting.entity;

import cn.com.poc.thirdparty.resource.simultanous_interpretation.entity.Translation;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;
import java.util.Map;
import java.util.Set;

public class AnalysisTaskDetailEntity {

    /**
     * analysis_status
     * 内容分析总状态 generate-生成中 completed-完成 failed-失败
     */
    private String analysisStatus;

    public String getAnalysisStatus() {
        return this.analysisStatus;
    }

    public void setAnalysisStatus(String analysisStatus) {
        this.analysisStatus = analysisStatus;
    }

    /**
     * theme_content
     * 会议主题
     */
    private String themeContent;

    public String getThemeContent() {
        return this.themeContent;
    }

    public void setThemeContent(String themeContent) {
        this.themeContent = themeContent;
    }

    /**
     * theme_generate_status
     * 会议主题生成状态
     */
    private String themeGenerateStatus;

    public String getThemeGenerateStatus() {
        return this.themeGenerateStatus;
    }

    public void setThemeGenerateStatus(String themeGenerateStatus) {
        this.themeGenerateStatus = themeGenerateStatus;
    }

    /**
     * key_word_content
     * 关键词
     */
    private List<String> keyWordContent;

    public List<String> getKeyWordContent() {
        return keyWordContent;
    }

    public void setKeyWordContent(List<String> keyWordContent) {
        this.keyWordContent = keyWordContent;
    }

    /**
     * key_word_generate_status
     * 关键词生成状态
     */
    private String keyWordGenerateStatus;

    public String getKeyWordGenerateStatus() {
        return this.keyWordGenerateStatus;
    }

    public void setKeyWordGenerateStatus(String keyWordGenerateStatus) {
        this.keyWordGenerateStatus = keyWordGenerateStatus;
    }

    /**
     * 关键词计数
     */
    private Map<String, Integer> keyWordCount;

    public Map<String, Integer> getKeyWordCount() {
        return keyWordCount;
    }

    public void setKeyWordCount(Map<String, Integer> keyWordCount) {
        this.keyWordCount = keyWordCount;
    }

    /**
     * meeting_summary_content
     * 会议摘要
     */
    private String meetingSummaryContent;

    public String getMeetingSummaryContent() {
        return this.meetingSummaryContent;
    }

    public void setMeetingSummaryContent(String meetingSummaryContent) {
        this.meetingSummaryContent = meetingSummaryContent;
    }

    /**
     * meeting_summary_generate_status
     * 会议摘要生成状态
     */
    private String meetingSummaryGenerateStatus;

    public String getMeetingSummaryGenerateStatus() {
        return this.meetingSummaryGenerateStatus;
    }

    public void setMeetingSummaryGenerateStatus(String meetingSummaryGenerateStatus) {
        this.meetingSummaryGenerateStatus = meetingSummaryGenerateStatus;
    }

    /**
     * featured_questions_generate_status
     * 推荐问生成状态
     */
    private String featuredQuestionsGenerateStatus;

    public String getFeaturedQuestionsGenerateStatus() {
        return this.featuredQuestionsGenerateStatus;
    }

    public void setFeaturedQuestionsGenerateStatus(String featuredQuestionsGenerateStatus) {
        this.featuredQuestionsGenerateStatus = featuredQuestionsGenerateStatus;
    }

    /**
     * featured_questions
     * 推荐问
     */
    private List<String> featuredQuestions;

    public List<String> getFeaturedQuestions() {
        return featuredQuestions;
    }

    public void setFeaturedQuestions(List<String> featuredQuestions) {
        this.featuredQuestions = featuredQuestions;
    }

    /**
     * asr_status
     * 语音识别任务状态
     */
    private String asrStatus;

    public String getAsrStatus() {
        return asrStatus;
    }

    public void setAsrStatus(String asrStatus) {
        this.asrStatus = asrStatus;
    }

    /**
     * spk_sets
     * 说话人列表
     */
    private Set<Long> spkSets;

    public Set<Long> getSpkSets() {
        return spkSets;
    }

    public void setSpkSets(Set<Long> spkSets) {
        this.spkSets = spkSets;
    }

    /**
     * 语音识别内容
     * translation
     */
    private List<Translation> translations;

    public List<Translation> getTranslations() {
        return translations;
    }

    public void setTranslations(List<Translation> translations) {
        this.translations = translations;
    }
}
